rm(list=ls())

source(file = "./functions/functionsGeneral.R")
source(file = "./functions/infoGeneral.R")

submitscript <- FALSE

  members    <-c(1:15)
  initYears <-c(1981:2010)
  targetMonths<-c(1:12)
  leadMonths<-c(0:6)
  #locName<-"GHA"
  locName<-"EU"
  resolution <- "0.50"
  inPath<-sprintf("../DATA/System4_seasonal_15_rev1.1/%sdeg/%s_BC", resolution, locName)
  outPath<-sprintf("../DATA/System4_seasonal_15_rev1.1/%sdeg/%s_BC", resolution, locName)

variables<-names(variableInfo)
#variables<-c("tasmin", "tasmax", "pr", "psl", "rsds", "rlds", "huss", "sfcWind" )
variables<-c( "pr" )

print("start")
for (variableName in variables) {
  for (targetMonth in targetMonths) {
    for (leadMonth in leadMonths) {
      targetSYear <- getInitTargetInfo( initYear = initYears[1], targetMonth = targetMonth, leadMonth = leadMonth )$targetYear
      targetEYear <- getInitTargetInfo( initYear = initYears[length(initYears)], targetMonth = targetMonth, leadMonth = leadMonth )$targetYear
      
      iFile <- sprintf("%s/%s_forcing_seas15_%s_BC_E%02d-%02d_%4d-%4d_%02d_LM%d.RData",
                       inPath, variableName, locName, 
                       members[1], members[length(members)],
                       initYears[1],initYears[length(initYears)],
                       targetMonth, leadMonth)

      print(sprintf("From: %s", iFile))
      oFile <- sprintf("%s/%s_forcing_seas15_%s_BC_E%02d-%02d_TAR%4d-%4d_%02d_LM%d.RData",
                       outPath, variableName, locName, 
                       members[1], members[length(members)],
                       targetSYear, targetEYear,
                       targetMonth, leadMonth)
      
      print(sprintf("To:   %s", oFile))
      file.rename(iFile, oFile)
    }
  }
}
