rm(list=ls())

source(file = "./infoGeneral.R")

submitscript <- FALSE

if (submitscript) {
  members    <- c(1:15)
  initYears <-c(1981:2010)
  currMonths  <- c(X:X)
  leadMonths<-c(0:6)
  locName    <- 'X'
  inPath<-"./testData/reFormatted"
  outPath<-"./testData/reFormatted_rename"
} else {
  members    <-c(1:15)
  initYears <-c(1981:2010)
  currMonths<-1
  leadMonths<-c(0:6)
  #locName<-"GHA"
  locName<-"EU"
  inPath<-"./testData/reFormatted"
  outPath<-"./testData/reFormatted_rename"
}

variables<-c("pr", "sfcWind")

dir.create(outPath, recursive = TRUE, showWarnings = FALSE)

print("start")
for (variableName in variables) {
  for (currMonth in currMonths) {
    for (leadMonth in leadMonths) {
      if ('ecomsName' %in% names(variableInfo[[variableName]])) {
        variableNameECOMS<-variableInfo[[variableName]]$ecomsName
      } else {
        variableNameECOMS<-variableName
      }
      
      
      iFile <- sprintf("%s/%s_forcing_seas15_%s_noBC_E%02d-%02d_%4d-%4d_%02d_LM%d.RData",
                       inPath, variableNameECOMS, locName, 
                       members[1], members[length(members)],
                       initYears[1], initYears[length(initYears)],
                       currMonth, leadMonth)
      print(sprintf("Open: %s", iFile))
      load(iFile)
      RData$Variable$varName<-variableName
      
      oFile <- sprintf("%s/%s_forcing_seas15_%s_noBC_E%02d-%02d_%4d-%4d_%02d_LM%d.RData",
                       outPath, variableName, locName, 
                       members[1], members[length(members)],
                       initYears[1], initYears[length(initYears)],
                       currMonth, leadMonth)
      
      print(sprintf("Saving: %s", oFile))
      save(file= oFile,RData)
    }
  }
} 
  