rm(list=ls())
source(file = "./functions/functionsGeneral.R")

reformat2Bias<-function(members, initYears, initMonth, varName, locName, 
                        iFile = "./forcing_seas15_GHA_ref__E<MEMBERS>_<YEARS>_01.RData") {
  sYear<-initYears[1]
  eYear<-initYears[length(initYears)]
  nYears<-length(initYears)
  
  sMember<-members[1]
  eMember<-members[length(members)]
  nMembers<-length(members)
  
  
  strMembers<-NULL
  strInitDates<-NULL
  # indexesOfDaysYears(1,sYear,eYear)
  allocatedOutputArray<-FALSE
  for (iMember in members) {
    initDates<-NULL
    iInitYear<-1
    
    for (initYear in initYears) {
      indexesYearsLeadMonths<-indexesForYearsPerLeadMonth(sYear,eYear,initMonth)
      
      ## Change to proper filename
      nameFileR <- iFile
      strYear <- sprintf("%4d",initYear)
      strMember <- sprintf("%02d",iMember)
      nameFileR <-gsub("<MEMBERS>", strMember, nameFileR)
      nameFileR <-gsub("<YEARS>", strYear, nameFileR)
      print(paste0("Opening: ", nameFileR))
      load(nameFileR)
      
      if (sMember == iMember) {
        strInitDates<-c(strInitDates, sys4$InitializationDates)
      }
      
      if (!allocatedOutputArray) {
        sYear<-initYears[1]
        eYear<-initYears[length(initYears)]
        nYears<-eYear-sYear+1
        
        ## allocate list
        final<-sys4
        ## allocate arrays
        finalList<-NULL
        listNames<-NULL
        for (iLM in 1:7) {
          finalList[[iLM]] <- final
          listNames<-c(listNames,paste0("LeadMonth_",iLM-1))
          totalDays<-indexesYearsLeadMonths$eIndexes[as.character(eYear),iLM]
          
          finalList[[iLM]]$Data<-array(0,dim=c(nMembers,totalDays,length(sys4$xyCoords$y),length(sys4$xyCoords$x)))
          finalList[[iLM]]$Dates$start<-character(length=totalDays)
          finalList[[iLM]]$Dates$end<-character(length=totalDays)
          attr(finalList[[iLM]]$Data,"dimensions") <- c("member","time","lat","lon")
          # attr(finalList[[iLM]],"LeadMonth") <- iLM-1
        }
        names(finalList)<-listNames
        allocatedOutputArray<-TRUE
      }
      
      
      
      ## Split the seven months
      indexes<-indexesOfDaysPerMonth(initMonth, 7, initYear)
      # print(indexes)
      
      ## Split the data in seperate months
      parts<-NULL
      for (iLM in 1:7) {
        parts[[iLM]] <- list(startDates = sys4$Dates$start[indexes[iLM,"sIndex"]:indexes[iLM,"eIndex"]], 
                             endDates = sys4$Dates$end[indexes[iLM,"sIndex"]:indexes[iLM,"eIndex"]],
                             data = sys4$Data[indexes[iLM,"sIndex"]:indexes[iLM,"eIndex"],,])
      }
      
      ## Fill big data array
      for (iLM in 1:7) {
        sIndex<-indexesYearsLeadMonths$sIndexes[as.character(initYear),iLM]
        eIndex<-indexesYearsLeadMonths$eIndexes[as.character(initYear),iLM]
        
        finalList[[iLM]]$Data[iMember,sIndex:eIndex,,] <-parts[[iLM]]$data
        finalList[[iLM]]$Dates$start[sIndex:eIndex] <-parts[[iLM]]$startDates
        finalList[[iLM]]$Dates$end[sIndex:eIndex] <-parts[[iLM]]$endDates
      }
      initDates[iInitYear]<-sys4$Dates$start[1]
      iInitYear<-iInitYear+1
      
    }
    strMembers<-c(strMembers,paste0("Member_",iMember))
    for (iLM in 1:7) {
      finalList[[iLM]]$Members <- strMembers
      finalList[[iLM]]$InitializationDates <- strInitDates
    }
  }
  return(finalList) 
}