locationInfo <- list(
  res0.75 = list(
    GHA = list(lonmin = 27.75, lonmax = 49.50, latmin =-12.00, latmax = 18.00, longName = "Greater Horn of Africa"),
    EU  = list(lonmin =-24.75, lonmax = 39.75, latmin = 33.00, latmax = 72.00, longName = "Europe")
  ),
  res0.50 = list(
    GHA = list(lonmin = 28.25, lonmax = 49.25, latmin =-11.75, latmax = 17.75, longName = "Greater Horn of Africa"),
    EU  = list(lonmin =-24.25, lonmax = 39.75, latmin = 33.25, latmax = 71.75, longName = "Europe")
  )
)

variableInfo <- list(
  tas     = list(standardName = "air_temperature",     longName = "Near-Surface Air Temperature",               unitsEcoms = "Celsius", units = "K"),
  tasmin  = list(standardName = "air_min_temperature", longName = "Daily Minimum Near-Surface Air Temperature", unitsEcoms = "Celsius", units = "K"),
  tasmax  = list(standardName = "air_max_temperature", longName = "Daily Maximum Near-Surface Air Temperature", unitsEcoms = "Celsius", units = "K"),
  pr      = list(standardName = "precipitation_flux",  longName = "Precipitation",                              unitsEcoms = "mm day-1", units = "kg m-2 s-1", ecomsName = "tp"),
  psl     = list(standardName = "air_pressure_at_sea_level", longName = "Sea level pressure",                   unitsEcoms = "Pa", units = "Pa"),
  rsds    = list(standardName = "surface_downwelling_shortwave_flux_in_air", longName = "Surface Downwelling Shortwave Radiation", unitsEcoms = "1/86400^2 W m-2", units = "W m-2"),
  rlds    = list(standardName = "surface_downwelling_longwave_flux_in_air",  longName = "Surface Downwelling Longwave Radiation",  unitsEcoms = "1/86400^2 W m-2", units = "W m-2"),
  huss    = list(standardName = "specific_humidity",   longName = "Near-Surface Specific Humidity", unitsEcoms = "1", units = "1"),
  sfcWind = list(standardName = "wind_speed",          longName = "Near-Surface Wind Speed",        unitsEcoms = "m s-1", units = "m s-1", ecomsName = "wss")
)

colorbarLimits <- list(
  tas     = list(minValue =  -20, maxValue =  35, diffMin = -0.5, diffMax = 0.5),
  tasmin  = list(minValue =  -20, maxValue =  35, diffMin = -0.5, diffMax = 0.5),
  tasmax  = list(minValue =  -20, maxValue =  35, diffMin = -0.5, diffMax = 0.5),
  pr      = list(minValue =    0, maxValue =  10, diffMin = -0.2, diffMax = 0.2),
  psl     = list(minValue =    0, maxValue =  10, diffMin = -0.2, diffMax = 0.2),
  rsds    = list(minValue = -200, maxValue = 500, diffMin = -0.2, diffMax = 0.2),
  rlds    = list(minValue = -200, maxValue = 500, diffMin = -0.2, diffMax = 0.2),
  huss    = list(minValue =    0, maxValue =  10, diffMin = -0.2, diffMax = 0.2),
  sfcWind = list(minValue =    0, maxValue =  10, diffMin = -0.2, diffMax = 0.2)
)
